<?php

   $fileName = "./output_image";
   $image1 = wsq_read_image_from_file("./sample_image.wsq");
   $image2 = $image1; // makes a copy of loaded image, creates data array of identical size 

   $width = $image1["info"]["width"];
   $height = $image1["info"]["height"];
   $image_size = $width*$height;
 
    // MAKE A MIRRORED/FLIPPED IMAGE (UP<->DOWN and LEFT<->RIGHT)
    for ($y = 0; $y < $height; $y++)
    {
        $row = $width * $y;
        $row2 = $width * ($height - $y - 1);
        for ($x = 0;  $x < $width; $x++)
        {
            $pixel_number = $row + $x;
            $pixel_number2 = $row2 + ($width - $x - 1);
            $image2["data"][$pixel_number2] = $image1["data"][$pixel_number];
        }
    }	
    // MAKE A MIRRORED/FLIPPED IMAGE (UP<->DOWN and LEFT<->RIGHT)
  

/*
	//Let's change color of all pixels in the [Csecond image
	for($i = 0; $i < count($image2["data"]); $i++) 
   {
	    $image2["data"][$i] -= 0x000030;
   }
*/

	
   $output_fileName = "./output_rotated_image";
   wsq_save_image_to_file($image2, $output_fileName, 5); // save image as JPG
//   wsq_save_image_to_file($image2, $output_fileName, 1); // save image as WSQ

?>
